﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGridSelectedRowsContextMenu
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        bool trippedFlag = false;
        private void ultraGrid1_BeforeSelectChange(object sender, Infragistics.Win.UltraWinGrid.BeforeSelectChangeEventArgs e)
        {
            UltraGrid grid = sender as UltraGrid;
            var selected = grid.Selected;
            
            if (Control.ModifierKeys != Keys.Shift && e.NewSelections.Rows.Count == 1 && selected.Rows.Count != 0)
            {
                trippedFlag = true;
                e.Cancel = true;
            }
            else if (trippedFlag == true)
            {
                e.Cancel = true;
            }
           
        }
    }
}
